print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local meatHudFile = "Paletten/hud_fill_meat.dds"
	local meatHudFileSmall = "Paletten/hud_fill_meat_smal.dds"
	
    local meatFilType = g_fillTypeManager:addFillType("MEAT", g_i18n:getText("meat"), true, pricebeer * 2.1, 0.00045, math.rad(10), meatHudFile, meatHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasmeat=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasmeat=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "MEAT" then
		hasmeat=true
	end;
		
end;

		if hasmaize and not hasmeat then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("MEAT")
		local price = g_fillTypeManager:getFillTypeByName("MEAT").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MEAT")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)